# Uses of Class
org.apache.qpid.proton.amqp.security.SaslInit

Packages that use SaslInit
Package
Description
org.apache.qpid.proton.amqp.security
org.apache.qpid.proton.codec.security
org.apache.qpid.proton.engine.impl

## Uses of SaslInit in org.apache.qpid.proton.amqp.security

Methods in org.apache.qpid.proton.amqp.security with parameters of type SaslInit
Modifier and Type
Method
Description
`void`
SaslFrameBody.SaslFrameBodyHandler.`handleInit(SaslInit saslInit, Binary payload, E context)`

## Uses of SaslInit in org.apache.qpid.proton.codec.security

Methods in org.apache.qpid.proton.codec.security that return SaslInit
Modifier and Type
Method
Description
`SaslInit`
SaslInitType.`newInstance(Object described)`
Methods in org.apache.qpid.proton.codec.security that return types with arguments of type SaslInit
Modifier and Type
Method
Description
`Class<SaslInit>`
SaslInitType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec.security with parameters of type SaslInit
Modifier and Type
Method
Description
`protected List`
SaslInitType.`wrap(SaslInit val)`
Constructors in org.apache.qpid.proton.codec.security with parameters of type SaslInit
Modifier
Constructor
Description
``
`SaslInitWrapper(SaslInit saslInit)`

## Uses of SaslInit in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl with parameters of type SaslInit
Modifier and Type
Method
Description
`void`
SaslImpl.`handleInit(SaslInit saslInit, Binary payload, Void context)`